# VRML/PROGS/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../Config.common
include ../Config.site

POOLSDIR = ../POOLS

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory

SUBDIRS = vrmlint vrmldump vrml2mgf vrmlview

#default target: compile
all: progs

depend:
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i depend || exit 1 ; } ; done

progs:
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i all || exit 1 ; } ; done

cleanhere: cleangen

clean: cleanhere
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i clean || exit 1 ; } ; done

distclean: cleanhere
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i distclean || exit 1 ; } ; done

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps
